NaSMail About  |  Documentation  |  Downloads  |  Plugins  |  Contribs  |  Project Site

NaSMail Change Password plugin

Plugin allows users to change their email passwords. Different password backends are supported.

Supported backends

0.8 version (2010-06-30)

This plugin version adds strong password checks that don't depend on external libraries. These checks are not enabled by default. 7bit password checks are moved from vmailmgrd backend to plugin core. Checks are not enabled by default, but 7bit passwords are always enforced, if NaSMail is set to use IMAP LOGIN authentication. hMailServer backend is updated to hMailServer v5 API.

Changelog:

Download nasmail_plugin_change_password-0.8-1.4.tar.gz (md5sum: fbfd6a767081773d81cdc8f22e0a212e)
or nasmail_plugin_change_password-0.7-0.8.diff.gz patch (md5sum: 3d8cae2b70c2edf2fe996be3cd2ee6cd)

0.7 version (2008-04-06)

Plugin is updated to NaSMail 1.4+ style. Minimal NaSMail requirements are increased to NaSMail 1.4 or Compatibility 1.5 plugin.

Changelog:

Download nasmail_plugin_change_password-0.7-1.4.tar.gz (md5sum: 33917092ee7966bd9e3e458a39bcc8ea)
or nasmail_plugin_change_password-0.6.1-0.7.diff.gz patch (md5sum: 33917092ee7966bd9e3e458a39bcc8ea)

0.6.1 version (2008-02-21)

This plugin version removes hardcoded password aging configuration. 0.6 version always applied $cpw_policy_maxdays=60 and ignored site configuration

Changelog:

Download nasmail_plugin_change_password-0.6.1-1.2.tar.gz (md5sum: 6e0faeaa872080d5e088f5ca7cac857c)
or nasmail_plugin_change_password-0.6-0.6.1.diff.gz patch (md5sum: 016d65428837561d413d9290742c34ee)

0.6 version

This plugin version adds support of password aging policies. See README chapter about password policies for more information. Plugin requires NaSMail 1.2. If plugin is used in NaSMail 1.0 or 1.1, it requires compatibility 1.1 plugin.

Changelog:

Download nasmail_plugin_change_password-0.6-1.2.tar.gz (md5sum: fcb5a67e884de977020150ff70f6f9de)
or nasmail_plugin_change_password-0.5-0.6.diff.gz patch (md5sum: 267083531ce40239469486ade68d3c73)

0.5 version

This plugin version adds hMailServer backend and fixes small crack error reporting issues. Plugin requires NaSMail 1.2. If plugin is used in NaSMail 1.0 or 1.1, it requires compatibility 1.1 plugin.

Changelog:

Download nasmail_plugin_change_password-0.5-1.2.tar.gz (md5sum: f3bebc2f7a6ad3e406b8148e1d2ed4ed)
or nasmail_plugin_change_password-0.4-0.5.diff.gz patch (md5sum: b22046bb27f5671a10ac7c41db560127)

0.4 version

This plugin version was updated to work with cookieless NaSMail 1.2 mode correctly. If plugin is used in NaSMail 1.0 or 1.1, it requires compatibility 1.1 plugin.

Changelog:

Download nasmail_plugin_change_password-0.4-1.2.tar.gz (md5sum: 2a0cd1d0960339bd02d30babc445eb9a)
or nasmail_plugin_change_password-0.3-0.4.diff.gz patch (md5sum: fb21b1a64aa6e8b022cf95142d0374c3)

0.3.nsm version

Changelog:

Download nasmail_plugin_change_password-0.3.nsm-1.0.tar.gz (md5sum: 3806dc3ed0e61e52a1bbd45589ee3221)
or nasmail_plugin_change_password-0.2-0.3.diff.gz patch (md5sum: 375ad0bf2f5b07c838716f7ed21ceacd)

0.2.nsm version

Changelog:

Download nasmail_plugin_change_password-0.2.nsm-1.0.tar.gz (md5sum: bbaa11c3f247e6e9a5919a799af1c796)


This file last modified on 2013-07-23 12:12 MST
Copyright © 2006-2009 The NaSMail Project